#ifndef _TYPES_H
#define _TYPES_H

#include <avr/pgmspace.h>

typedef unsigned char  u8;
typedef   signed char  s8;
typedef unsigned short u16;
typedef   signed short s16;
typedef unsigned long  u32;
typedef   signed long  s32;

#define uchar unsigned char
#define uint unsigned int


// 8051 compatibility:

#define code PROGMEM
#define LPM(i) (__LPM_classic__(i))
#define data
#define idata
#define pdata
#define xdata

#define bit uchar

#endif /* _TYPES_H */
