#ifndef _LCD_H
#define _LCD_H

#include <stdint.h>
#include <stdbool.h>
#include <avr/pgmspace.h>

extern void lcd_init(void);
extern void lcd_command(uint8_t cmd, bool isdata);
extern void lcd_puts(const char * PROGMEM ptr, uint8_t cnt);

#define lcd_put(ch)	lcd_command(ch, 1)
#define lcd_line1()	lcd_command(0x80, 0)
#define lcd_line2()	lcd_command(0xc0, 0)

#endif /* _LCD_H */
